Subject: Error: partition length of 7518568448 sectors exceeds the loop-partition-table-imposed maximum of 4294967295

From: Russell Jones <[email-masked]>
Date: Mon, 04 Nov 2013 14:45:22 -0600

Hi all, 

I have a 3.5TB logical volume made from two 1.75 TB
partitions / physical volumes. The partitions are being created on
CentOS 6.4 with parted 2.1. Whenever I do a "parted -l" I get the
following message: 

Error: partition length of 7518568448 sectors
exceeds the loop-partition-table-imposed maximum of 4294967295

lvdisplay works fine with no warnings/errors, and I can write data to
the logical volume. What exactly does this error mean and will it affect
the availability of my logical volume to store the full 3.5TB of data?

Thanks!